[Hackage] #276: Add support for convenience libraries

Hackage trac at galois.com
Sun Aug 17 10:08:04 EDT 2008

#276: Add support for convenience libraries
  Reporter:  rl             |        Owner:                 
      Type:  enhancement    |       Status:  new            
  Priority:  normal         |    Milestone:  Cabal-1.8      
 Component:  Cabal library  |      Version:        
  Severity:  normal         |   Resolution:                 
  Keywords:                 |   Difficulty:  project(> week)
Ghcversion:  6.8.2          |     Platform:                 
Changes (by duncan):

  * milestone:  => Cabal-1.8


 This would mean that the lib would always have to be built statically even
 if the user requests dynamic libs.

 So this feature mainly depends on the ability to use `build-depends:` on a
 lib defined within the same package (whether that lib is to be installed
 or not). Similarly for build-tools.

 This would also solve ticket #89.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/276#comment:2>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list